/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.ebasic;

import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;


/**
 * This is an entity bean with "container managed persistence". The state of an
 * instance is stored into a relational database.
 * The following table should exist :
 * ebasicSimpleEC 
 * c_testname	varchar(30) 	primarey key
 * c_info		integer
 * c_numtest	integer
 * @author Philippe Durieux, Philippe Coq
 */

public class SimpleEC implements EntityBean {

    static protected Logger logger = null;

    protected EntityContext entityContext;


    // state of the bean
    public int info;
    public int numtest;	
    public String testname;


    public void ejbActivate() {
	logger.log(BasicLevel.DEBUG, "");
    }

    public void ejbPassivate() {
	logger.log(BasicLevel.DEBUG, "");
    }

    public void ejbLoad() {
	logger.log(BasicLevel.DEBUG, "");	
    }

    public void ejbStore() {
	logger.log(BasicLevel.DEBUG, "");
    }
  
    public void ejbRemove() throws RemoveException {
	logger.log(BasicLevel.DEBUG, "");
    }

    public void setEntityContext(EntityContext ctx) { 
	if (logger == null)
	    logger = Log.getLogger(Log.JONAS_TESTS_PREFIX);
	logger.log(BasicLevel.DEBUG, "");
	entityContext  = ctx;
	
    }

    public void unsetEntityContext() {
	logger.log(BasicLevel.DEBUG, "");
    }

    public String ejbCreate(String name, int info, int  num) throws CreateException {
	logger.log(BasicLevel.DEBUG, "create"+info+","+name+","+num);
	this.info = info;
	this.numtest = num;
	this.testname = name;
	return(null);
    }

    public void ejbPostCreate(String name, int info, int  num){
	logger.log(BasicLevel.DEBUG, "");
    }

	
    public int getNumTest() {
	logger.log(BasicLevel.DEBUG, "");
	return numtest;
    }

    public int getInfo() {
	logger.log(BasicLevel.DEBUG, "");
	return info;
    }

    public String getTestName() {
	logger.log(BasicLevel.DEBUG, "");
	return testname;
    }

    public void setNumTest(int num) {
	logger.log(BasicLevel.DEBUG, "");
	this.numtest = num;
    }

    public void setInfo(int info) {
	logger.log(BasicLevel.DEBUG, "");
	this.info = info;
    }

    public void setTestName(String name) {
	logger.log(BasicLevel.DEBUG, "");
	this.testname = name;
    }
}
