// PerfsBean.java


/**
 *
 *
 * This is an entity bean with "container managed persistence".
 * The state of an instance is stored into a relational database.
 * The following table should exist :
 *
 * create table Perfs_X (code    integer primary key,
 *                       v_value varchar(XXX));
 *
 */


package applis.ejb.perfs;

import java.rmi.RemoteException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;
import javax.ejb.CreateException;

import org.objectweb.jonas.common.Trace;


public class PerfsBean implements EntityBean {
 
    static private int trace = Trace.DB_1;

    protected EntityContext entityContext;

    public  int		mCode  = 0;
    public  String      mValue = null;

    public void ejbActivate() throws RemoteException {
    }

    public void ejbPassivate() throws RemoteException {
    }

    public void ejbLoad() throws RemoteException {
    }

    public void ejbStore() throws RemoteException {
    }
  
    public void ejbRemove() throws RemoveException{
    }

    public void setEntityContext(EntityContext ctx) {
	Trace.outln(trace, "PerfsBean.setEntityContext()");
	entityContext  = ctx;
    }

    public void unsetEntityContext() {
    }

    public String read() throws RemoteException {
	Trace.outln(trace, "PerfsBean.read() -> " + mValue);
	return mValue;
    }

    public void write(String value) throws RemoteException {
	Trace.outln(trace, "PerfsBean.write(String "+value+")");
	mValue = new String(value);
    }

    public String txread() throws RemoteException {
	Trace.outln(trace, "PerfsBean.txread() -> " + mValue);
	return mValue;
    }

    public void txwrite(String value) throws RemoteException {
	Trace.outln(trace, "PerfsBean.txwrite(String "+value+")");
	mValue = new String(value);
    }

} 

